Subject: [RFC v2 PATCH 2/3] dt: device tree bindings for TI's EMIF sdram controller

From: [email-masked] (Aneesh V)
Date: Tue, 20 Dec 2011 12:49:29 +0530

On Monday 19 December 2011 10:29 PM, Olof Johansson wrote:
> Oh wait, when I saw 3/3 I realized the following too:
>
> On Mon, Dec 19, 2011 at 6:05 AM, Aneesh V<[email-masked]>  wrote:
>
>> +- phy-type     : string indicating the phy type. Should be one of the
>> +  following:
>> +
>> +  "phy-type-omap4"  : PHY used in OMAP4 family of SoCs
>> +
>> +  "phy-type-dm81xx" : PHY used in DM81XX family of SoCs
>
> No, again please don't define new string properties when a simple
> binary property will do just fine. Just use "phy-type-omap4" or
> "phy-type-dm81xx" as an empty property to indicate what phy is used.
> Or encode as an integer and list the valid values here.

Ok. I just got carried away by readability. Somebody told me that
something like #define will come to device-tree soon. Probably, I can
use that then.

Is binary property suitable in situations like this where "one and only
one" phy-type should be specified by the user?

>
> Every time you add a string to the device tree, the data structure
> grows, not to mention the fact that it adds a lot of string
> comparisons during setup. Please keep that in mind when defining
> bindings.

Understand.

Thanks,
Aneesh